petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetElementType

Sets the element type to be returned by DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetElementType(DM da, DMDAElementType etype)

Not Collective

### Input Parameter

da -the DMDA object

### Output Parameters

etype -the element type, currently either DMDA_ELEMENT_P1 or DMDA_ELEMENT_Q1

### See Also

DMDAElementType, DMDAGetElementType(), DMDAGetElements(), DMDARestoreElements()

### Level

intermediate

### Location

src/dm/impls/da/dagetelem.c

### Examples

src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex20.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages